npm @polkadot/api 0.100.1
v0.100.1

  • Important This will the the last API version with Substrate 1.x support. Although you will still be able to use subsequent versions with older chans, dependent libraries such as sr25519 may not be compatible.
  • Add support for the Substrate identity module
  • Remove the codec/Data type, to remove a conflict with Substrate. This type is now named Raw
  • Fix for linked maps using Option
  • Add support for BTreeSet (Thanks to https://github.com/satellitex)
  • Add support for Metadata v10
  • Add support for latest Polkadot/Substrate types
  • Add paymentInfo to submittables to calculate fees
latest releases: 4.13.2-9, 4.13.2-8, 4.13.2-7...
17 months ago